[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [pkg-boost-devel] Bug#473752: Bug#473752: Boost 1.35 has been released

On Sat, Apr 19, 2008 at 10:43 PM, Steve M. Robbins <steve@sumost.ca> wrote:
>     Can a process load 1.34 and 1.35 at the same time?  Otherwise
>     maybe you've got a problem if one lib uses 1.34 and another lib
>     uses 1.35 and parts are exposed.
>  I think you're right that there could be a problem.  I'm not sure what
>  can be done about it besides having the two boost-using libs upgrade
>  together.

If boost doesn't support symbol versioning yet, isn't it about time it
did? A three line ld-script is all it takes.

Have a nice day,
Martijn van Oosterhout <kleptog@gmail.com> http://svana.org/kleptog/

Reply to: